Skip to Content
API ReferenceCoupons

Search coupons

Search coupons with filters, search terms, includes, and sort instructions in a JSON request body.

Search coupons with filters, search terms, includes, and sort instructions in a JSON request body.

POST
/v2/coupons/search

Authorization

headerAuthorizationBearer <API Key>

Provide your SellApp API key as a bearer token.

Query Parameters

with_trashed?boolean

Include soft-deleted resources in the result.

Defaultfalse
only_trashed?boolean

Return only soft-deleted resources. Ignored when with_trashed is true.

Defaultfalse

Header Parameters

Idempotency-Key?string

Reuse this key only for an identical retry. A replay returns Idempotent-Replayed: true.

Length8 <= length <= 255
X-STORE?string

Store slug. Required for OAuth access tokens. API keys may omit it to use their current store, or the first accessible store when no current store is selected.

Request Body

application/json
  1. body
filters?array<|>
sort?array<>
search?
includes?array<>

Response Body

Successful response.

application/json
  1. response
data*array<>
links*
meta*
Example Request
curl -X POST 'https://sell.app/api/v2/coupons/search' \  -H 'Idempotency-Key: project-library-2026-09-04' \  -H 'X-STORE: launch-lab' \  -H 'Content-Type: application/json' \  -d '{  "filters": [    {      "field": "id",      "operator": "=",      "value": 1    }  ],  "sort": [    {      "field": "created_at",      "direction": "desc"    }  ]}'
{  "data": [    {      "id": 1,      "code": "BONANZA",      "type": "PERCENTAGE",      "discount": "80",      "limit": null,      "store_wide": true,      "minimum_amount": null,      "expires_at": null,      "created_at": "2022-12-12T12:12:12.000000Z",      "updated_at": "2022-12-12T12:12:12.000000Z",      "store_id": 1,      "deleted_at": null,      "products": [],      "product_variants": [],      "maximum_discount_amount": null,      "applies_to": "one_time",      "subscription_payments": null    }  ],  "links": {    "first": "https://sell.app/api/v2/coupons/search?page=1",    "last": "https://sell.app/api/v2/coupons/search?page=1",    "prev": null,    "next": null  },  "meta": {    "current_page": 1,    "from": 1,    "last_page": 1,    "path": "https://sell.app/api/v2/coupons/search",    "per_page": 20,    "to": 1,    "total": 1,    "links": [      {        "url": null,        "label": "&laquo; Previous",        "active": false      },      {        "url": "https://sell.app/api/v2/coupons/search?page=1",        "label": "1",        "active": true      },      {        "url": null,        "label": "Next &raquo;",        "active": false      }    ]  }}